//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PrintServer
{
    using System;
    using System.Collections.Generic;
    
    public partial class PrintSettingsTbl
    {
        public int PrintSettingsID { get; set; }
        public string PrinterName { get; set; }
        public Nullable<decimal> PrintPageWidth { get; set; }
        public Nullable<decimal> PrintPageHeight { get; set; }
        public Nullable<decimal> PrintPageMarginLeft { get; set; }
        public Nullable<decimal> PrintPageMarginRight { get; set; }
        public Nullable<decimal> PrintPageMarginTop { get; set; }
        public Nullable<decimal> PrintPageMarginBottom { get; set; }
        public Nullable<decimal> HeaderMarginLeft { get; set; }
        public Nullable<decimal> HeaderMarginRight { get; set; }
        public Nullable<decimal> CompanyNameOffset { get; set; }
        public Nullable<decimal> AddressOffset { get; set; }
        public Nullable<decimal> InvoicePadRight { get; set; }
        public Nullable<decimal> InvoiceOffset { get; set; }
        public Nullable<decimal> TotalOffset1 { get; set; }
        public Nullable<decimal> TotalOffset2 { get; set; }
        public string FontName { get; set; }
        public Nullable<int> FontSize1 { get; set; }
        public Nullable<int> FontSize2 { get; set; }
        public Nullable<int> HeaderFontSize { get; set; }
        public Nullable<int> AddressFontSize { get; set; }
        public string PrinterType { get; set; }
    }
}
